## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate sd

Name:           rust-sd
Version:        1.0.0
Release:        %autorelease
Summary:        Intuitive find & replace CLI

License:        MIT
URL:            https://crates.io/crates/sd
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unavailable ansi-to-html dev-dependency
Patch:          sd-fix-metadata.diff
# * drop single test that depends on ansi-to-html
Patch:          0001-drop-one-test-that-depends-on-ansi-to-html.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Intuitive find & replace CLI.

* Painless regular expressions

  sd uses regex syntax that you already know from JavaScript and Python.
  Forget about dealing with quirks of sed or awk - get productive immediately.

* String-literal mode

  Non-regex find & replace. No more backslashes or remembering which characters
  are special and need to be escaped.

* Easy to read, easy to write

  Find & replace expressions are split up, which makes them easy to read
  and write. No more messing with unclosed and escaped slashes.

* Smart, common-sense defaults

  Defaults follow common sense and are tailored for typical daily use.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%doc RELEASE.md
%{_bindir}/sd

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Apr 12 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2248055

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-12
- Regenerate with rust2rpm v24 and update license tag

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-11
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.6-8
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.6-6
- Bump assert_cmd to 2.0.0

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-4
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.7.6-1
- Update to 0.7.6

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 04 2020 Josh Stone <jistone@redhat.com> - 0.7.5-1
- Update to 0.7.5

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.7.4-1
- Update to 0.7.4

* Wed Apr 01 2020 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 30 08:06:28 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Nov 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-4
- Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 21:02:05 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-2
- Regenerate

* Tue Jun 18 23:58:04 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.5-1
- Release 0.6.5 (#1721651)

* Sun Jun 16 20:10:19 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.1-1
- Release 0.6.1

* Sat Apr 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
